"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
var NotImplemented_1;
Object.defineProperty(exports, "__esModule", { value: true });
const HttpError_1 = __importDefault(require("../HttpError"));
const class_schema_1 = require("class-schema");
/**
 * Http Error 501: Not Implemented
 */
let NotImplemented = NotImplemented_1 = class NotImplemented extends HttpError_1.default {
    constructor(mesg, info) {
        super(NotImplemented_1.CODE, info?.name || 'Not Implemented', mesg, info?.key, info?.data);
    }
};
NotImplemented.CODE = 501;
NotImplemented = NotImplemented_1 = __decorate([
    class_schema_1.schema(),
    __metadata("design:paramtypes", [String, Object])
], NotImplemented);
exports.default = NotImplemented;
//# sourceMappingURL=NotImplemented.js.map