"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.GenericHttpError = void 0;
const class_schema_1 = require("class-schema");
/**
 *
 */
let HttpError = class HttpError extends Error {
    constructor(statusCode, name, message, key, data) {
        super(`${name} [${statusCode}]: ${message}`);
        this.statusCode = statusCode;
        this.name = name;
        this.message = message;
        this.key = key;
        this.data = data;
    }
};
HttpError.CODE = -1;
__decorate([
    class_schema_1.prop(),
    __metadata("design:type", Number)
], HttpError.prototype, "statusCode", void 0);
__decorate([
    class_schema_1.prop(),
    __metadata("design:type", String)
], HttpError.prototype, "name", void 0);
__decorate([
    class_schema_1.prop(),
    __metadata("design:type", String)
], HttpError.prototype, "message", void 0);
__decorate([
    class_schema_1.prop(),
    __metadata("design:type", String)
], HttpError.prototype, "key", void 0);
__decorate([
    class_schema_1.prop({ required: false }),
    __metadata("design:type", Object)
], HttpError.prototype, "data", void 0);
HttpError = __decorate([
    class_schema_1.schema(),
    __metadata("design:paramtypes", [Number, String, String, String, Object])
], HttpError);
exports.default = HttpError;
/**
 *
 */
class GenericHttpError extends HttpError {
}
exports.GenericHttpError = GenericHttpError;
//# sourceMappingURL=HttpError.js.map