"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.NetworkAuthenticationRequired = exports.NotExtended = exports.BandwidthLimitExceeded = exports.LoopDetected = exports.InsufficientStorage = exports.VariantAlsoNegotiates = exports.HTTPVersionNotSupported = exports.GatewayTimeout = exports.ServiceUnavailable = exports.BadGateway = exports.NotImplemented = exports.InternalServerError = exports.UnavailableForLegalReasons = exports.RequestHeaderFieldsTooLarge = exports.TooManyRequests = exports.PreconditionRequired = exports.UpgradeRequired = exports.TooEarly = exports.FailedDependency = exports.Locked = exports.UnprocessableEntity = exports.MisdirectedRequest = exports.Imateapot = exports.ExpectationFailed = exports.RangeNotSatisfiable = exports.UnsupportedMediaType = exports.URITooLong = exports.PayloadTooLarge = exports.PreconditionFailed = exports.LengthRequired = exports.Gone = exports.Conflict = exports.RequestTimeout = exports.ProxyAuthenticationRequired = exports.NotAcceptable = exports.MethodNotAllowed = exports.NotFound = exports.Forbidden = exports.PaymentRequired = exports.Unauthorized = exports.BadRequest = exports.GenericHttpError = exports.HttpError = exports.errors = void 0;
require("reflect-metadata");
const HttpError_1 = __importStar(require("./HttpError"));
Object.defineProperty(exports, "HttpError", { enumerable: true, get: function () { return HttpError_1.default; } });
Object.defineProperty(exports, "GenericHttpError", { enumerable: true, get: function () { return HttpError_1.GenericHttpError; } });
// 4xx
const BadRequest_1 = __importDefault(require("./4xx/BadRequest"));
Object.defineProperty(exports, "BadRequest", { enumerable: true, get: function () { return BadRequest_1.default; } });
const Unauthorized_1 = __importDefault(require("./4xx/Unauthorized"));
Object.defineProperty(exports, "Unauthorized", { enumerable: true, get: function () { return Unauthorized_1.default; } });
const PaymentRequired_1 = __importDefault(require("./4xx/PaymentRequired"));
Object.defineProperty(exports, "PaymentRequired", { enumerable: true, get: function () { return PaymentRequired_1.default; } });
const Forbidden_1 = __importDefault(require("./4xx/Forbidden"));
Object.defineProperty(exports, "Forbidden", { enumerable: true, get: function () { return Forbidden_1.default; } });
const NotFound_1 = __importDefault(require("./4xx/NotFound"));
Object.defineProperty(exports, "NotFound", { enumerable: true, get: function () { return NotFound_1.default; } });
const MethodNotAllowed_1 = __importDefault(require("./4xx/MethodNotAllowed"));
Object.defineProperty(exports, "MethodNotAllowed", { enumerable: true, get: function () { return MethodNotAllowed_1.default; } });
const NotAcceptable_1 = __importDefault(require("./4xx/NotAcceptable"));
Object.defineProperty(exports, "NotAcceptable", { enumerable: true, get: function () { return NotAcceptable_1.default; } });
const ProxyAuthenticationRequired_1 = __importDefault(require("./4xx/ProxyAuthenticationRequired"));
Object.defineProperty(exports, "ProxyAuthenticationRequired", { enumerable: true, get: function () { return ProxyAuthenticationRequired_1.default; } });
const RequestTimeout_1 = __importDefault(require("./4xx/RequestTimeout"));
Object.defineProperty(exports, "RequestTimeout", { enumerable: true, get: function () { return RequestTimeout_1.default; } });
const Conflict_1 = __importDefault(require("./4xx/Conflict"));
Object.defineProperty(exports, "Conflict", { enumerable: true, get: function () { return Conflict_1.default; } });
const Gone_1 = __importDefault(require("./4xx/Gone"));
Object.defineProperty(exports, "Gone", { enumerable: true, get: function () { return Gone_1.default; } });
const LengthRequired_1 = __importDefault(require("./4xx/LengthRequired"));
Object.defineProperty(exports, "LengthRequired", { enumerable: true, get: function () { return LengthRequired_1.default; } });
const PreconditionFailed_1 = __importDefault(require("./4xx/PreconditionFailed"));
Object.defineProperty(exports, "PreconditionFailed", { enumerable: true, get: function () { return PreconditionFailed_1.default; } });
const PayloadTooLarge_1 = __importDefault(require("./4xx/PayloadTooLarge"));
Object.defineProperty(exports, "PayloadTooLarge", { enumerable: true, get: function () { return PayloadTooLarge_1.default; } });
const URITooLong_1 = __importDefault(require("./4xx/URITooLong"));
Object.defineProperty(exports, "URITooLong", { enumerable: true, get: function () { return URITooLong_1.default; } });
const UnsupportedMediaType_1 = __importDefault(require("./4xx/UnsupportedMediaType"));
Object.defineProperty(exports, "UnsupportedMediaType", { enumerable: true, get: function () { return UnsupportedMediaType_1.default; } });
const RangeNotSatisfiable_1 = __importDefault(require("./4xx/RangeNotSatisfiable"));
Object.defineProperty(exports, "RangeNotSatisfiable", { enumerable: true, get: function () { return RangeNotSatisfiable_1.default; } });
const ExpectationFailed_1 = __importDefault(require("./4xx/ExpectationFailed"));
Object.defineProperty(exports, "ExpectationFailed", { enumerable: true, get: function () { return ExpectationFailed_1.default; } });
const Imateapot_1 = __importDefault(require("./4xx/Imateapot"));
Object.defineProperty(exports, "Imateapot", { enumerable: true, get: function () { return Imateapot_1.default; } });
const MisdirectedRequest_1 = __importDefault(require("./4xx/MisdirectedRequest"));
Object.defineProperty(exports, "MisdirectedRequest", { enumerable: true, get: function () { return MisdirectedRequest_1.default; } });
const UnprocessableEntity_1 = __importDefault(require("./4xx/UnprocessableEntity"));
Object.defineProperty(exports, "UnprocessableEntity", { enumerable: true, get: function () { return UnprocessableEntity_1.default; } });
const Locked_1 = __importDefault(require("./4xx/Locked"));
Object.defineProperty(exports, "Locked", { enumerable: true, get: function () { return Locked_1.default; } });
const FailedDependency_1 = __importDefault(require("./4xx/FailedDependency"));
Object.defineProperty(exports, "FailedDependency", { enumerable: true, get: function () { return FailedDependency_1.default; } });
const TooEarly_1 = __importDefault(require("./4xx/TooEarly"));
Object.defineProperty(exports, "TooEarly", { enumerable: true, get: function () { return TooEarly_1.default; } });
const UpgradeRequired_1 = __importDefault(require("./4xx/UpgradeRequired"));
Object.defineProperty(exports, "UpgradeRequired", { enumerable: true, get: function () { return UpgradeRequired_1.default; } });
const PreconditionRequired_1 = __importDefault(require("./4xx/PreconditionRequired"));
Object.defineProperty(exports, "PreconditionRequired", { enumerable: true, get: function () { return PreconditionRequired_1.default; } });
const TooManyRequests_1 = __importDefault(require("./4xx/TooManyRequests"));
Object.defineProperty(exports, "TooManyRequests", { enumerable: true, get: function () { return TooManyRequests_1.default; } });
const RequestHeaderFieldsTooLarge_1 = __importDefault(require("./4xx/RequestHeaderFieldsTooLarge"));
Object.defineProperty(exports, "RequestHeaderFieldsTooLarge", { enumerable: true, get: function () { return RequestHeaderFieldsTooLarge_1.default; } });
const UnavailableForLegalReasons_1 = __importDefault(require("./4xx/UnavailableForLegalReasons"));
Object.defineProperty(exports, "UnavailableForLegalReasons", { enumerable: true, get: function () { return UnavailableForLegalReasons_1.default; } });
// 5xx
const InternalServerError_1 = __importDefault(require("./5xx/InternalServerError"));
Object.defineProperty(exports, "InternalServerError", { enumerable: true, get: function () { return InternalServerError_1.default; } });
const NotImplemented_1 = __importDefault(require("./5xx/NotImplemented"));
Object.defineProperty(exports, "NotImplemented", { enumerable: true, get: function () { return NotImplemented_1.default; } });
const BadGateway_1 = __importDefault(require("./5xx/BadGateway"));
Object.defineProperty(exports, "BadGateway", { enumerable: true, get: function () { return BadGateway_1.default; } });
const ServiceUnavailable_1 = __importDefault(require("./5xx/ServiceUnavailable"));
Object.defineProperty(exports, "ServiceUnavailable", { enumerable: true, get: function () { return ServiceUnavailable_1.default; } });
const GatewayTimeout_1 = __importDefault(require("./5xx/GatewayTimeout"));
Object.defineProperty(exports, "GatewayTimeout", { enumerable: true, get: function () { return GatewayTimeout_1.default; } });
const HTTPVersionNotSupported_1 = __importDefault(require("./5xx/HTTPVersionNotSupported"));
Object.defineProperty(exports, "HTTPVersionNotSupported", { enumerable: true, get: function () { return HTTPVersionNotSupported_1.default; } });
const VariantAlsoNegotiates_1 = __importDefault(require("./5xx/VariantAlsoNegotiates"));
Object.defineProperty(exports, "VariantAlsoNegotiates", { enumerable: true, get: function () { return VariantAlsoNegotiates_1.default; } });
const InsufficientStorage_1 = __importDefault(require("./5xx/InsufficientStorage"));
Object.defineProperty(exports, "InsufficientStorage", { enumerable: true, get: function () { return InsufficientStorage_1.default; } });
const LoopDetected_1 = __importDefault(require("./5xx/LoopDetected"));
Object.defineProperty(exports, "LoopDetected", { enumerable: true, get: function () { return LoopDetected_1.default; } });
const BandwidthLimitExceeded_1 = __importDefault(require("./5xx/BandwidthLimitExceeded"));
Object.defineProperty(exports, "BandwidthLimitExceeded", { enumerable: true, get: function () { return BandwidthLimitExceeded_1.default; } });
const NotExtended_1 = __importDefault(require("./5xx/NotExtended"));
Object.defineProperty(exports, "NotExtended", { enumerable: true, get: function () { return NotExtended_1.default; } });
const NetworkAuthenticationRequired_1 = __importDefault(require("./5xx/NetworkAuthenticationRequired"));
Object.defineProperty(exports, "NetworkAuthenticationRequired", { enumerable: true, get: function () { return NetworkAuthenticationRequired_1.default; } });
exports.errors = [
    //4xx
    BadRequest_1.default,
    Unauthorized_1.default,
    PaymentRequired_1.default,
    Forbidden_1.default,
    NotFound_1.default,
    MethodNotAllowed_1.default,
    NotAcceptable_1.default,
    ProxyAuthenticationRequired_1.default,
    RequestTimeout_1.default,
    Conflict_1.default,
    Gone_1.default,
    LengthRequired_1.default,
    PreconditionFailed_1.default,
    PayloadTooLarge_1.default,
    URITooLong_1.default,
    UnsupportedMediaType_1.default,
    RangeNotSatisfiable_1.default,
    ExpectationFailed_1.default,
    Imateapot_1.default,
    MisdirectedRequest_1.default,
    UnprocessableEntity_1.default,
    Locked_1.default,
    FailedDependency_1.default,
    TooEarly_1.default,
    UpgradeRequired_1.default,
    PreconditionRequired_1.default,
    TooManyRequests_1.default,
    RequestHeaderFieldsTooLarge_1.default,
    UnavailableForLegalReasons_1.default,
    // 5xx
    InternalServerError_1.default,
    NotImplemented_1.default,
    BadGateway_1.default,
    ServiceUnavailable_1.default,
    GatewayTimeout_1.default,
    HTTPVersionNotSupported_1.default,
    VariantAlsoNegotiates_1.default,
    InsufficientStorage_1.default,
    LoopDetected_1.default,
    BandwidthLimitExceeded_1.default,
    NotExtended_1.default,
    NetworkAuthenticationRequired_1.default,
];
//# sourceMappingURL=index.js.map